AOZ Studio Beta - Bug #805

The circle command doesn't use the grahpics cursor for positioning as it should.

07/28/2021 04:08 AM - Brian Flanagan

Status: Closed Start date: 07/27/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B9) u16

Description
(I'm actually testing 1.0.0 B9 u16+... more that u16, but not specified)

Instead, it defaults to 0,0 if the center coordinates aren't specified.
Example 1:

Gr Locate 100,100 ' place center at 100,100
Circle ,,20

Example 2:

Curs Off : Flash Off

Gr Locate 100,100

Draw To 300,300

Circle ,,20

Locate 10,0: Print "The circle should be centered at 300,300 (vs. 0,0)."
Locate 10,1: Print " (at the end of the line)"

Wait Key

Locate 10,3 : Print "Like this:"

Circle 300,300,20

Wait Key

History

#1 - 08/07/2021 08:54 AM - David Baldwin

Fixed : Check for 'undefined' coords was missing. Also fixed Box, Bar, Disc, Ellipse and Filled Ellipse as they had same problem.

#2 - 08/07/2021 08:55 AM - David Baldwin

- Status changed from New to Resolved

#3 - 09/06/2021 07:50 PM - Brian Flanagan

- Status changed from Resolved to Closed

Working in 1.0.0 (B10) u16

Thanks, Dave!
